<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
	<head>
		<title>PINsafe Authentication</title>
		<link type="text/css" rel="stylesheet" href="login.css" />
		<?php
		require ('pinsafe.php');

		$config = new Config();
		$config->load(CONFIG_DOC);
		$username = $_REQUEST['username'];
		$sessionID = false;
		$result = 'Nothing';
		if ($_REQUEST['image-request'] && $username) {
			$pinsafe = getPINsafeAgent();
			$sessionID = $pinsafe->startSession($username);
		} else if ($_REQUEST['changepin']) {
			$pinsafe = getPINsafeAgent();
			$newPassword = $_REQUEST['new-password'];
			$newOTC = $_REQUEST['new-otc'];
			if ($newPassword == $_REQUEST['confirm-new-password'] && $newOTC == $_REQUEST['confirm-new-otc']) {
				$result = $pinsafe->changePIN($username, $_REQUEST['password'], $_REQUEST['otc'], $newPassword, $newOTC);
			}
		}
		?>
	</head>
	<body>
		<h1>PINSafe Change PIN</h1>
		<form method="POST">
			<table id="changepin">
				<tr class="top-row">
					<td class="label">Username:</td>
					<td class="text">
						<input type="text" name="username" id="username" value="<?php echo $username; ?>" />
					</td>
				</tr>
				<?php if ($config->passwords) { ?>
				<tr class="other-row">
					<td class="label">Password:</td>
					<td class="text">
						<input type="password" name="password" id="password" value="" />
					</td>
				</tr>
				<?php } ?>
				<tr class="other-row">
					<td class="label">OTC:</td>
					<td class="text">
						<input type="password" name="otc" id="otc" autocomplete="off" />
					</td>
				</tr>
				<?php if ($config->passwords) { ?>
				<tr class="top-row">
					<td class="label">New password:</td>
					<td class="text">
						<input type="password" name="new-password" id="new-password" value="" />
					</td>
				</tr>
				<tr class="other-row">
					<td class="label">Confirm new password:</td>
					<td class="text">
						<input type="password" name="confirm-new-password" id="confirm-new-password" value="" />
					</td>
				</tr>
				<?php } ?>
				<tr class="top-row">
					<td class="label">New OTC:</td>
					<td class="text">
						<input type="password" name="new-otc" id="new-otc" autocomplete="off" />
					</td>
				</tr>
				<tr class="other-row">
					<td class="label">Confirm new OTC:</td>
					<td class="text">
						<input type="password" name="confirm-new-otc" id="confirm-new-otc" autocomplete="off" />
					</td>
				</tr>
				<tr id="buttons-row">
					<td colspan="2">
						<input type="submit" id="image-button" name="image-request" value="Image" />
						<input type="submit" id="changepin-button" name="changepin" value="Change PIN" />
					</td>
				</tr>
				<?php if ($sessionID) { ?>
				<tr>
					<td id="image-cell" colspan="2">
						<img alt="Single Channel Image" id="image" src="image.php?sessionid=<?php echo $sessionID; ?>" />
					</td>
				</tr>
				<?php }
				if ($result !== 'Nothing') { ?>
				<tr>
				<?php if ($result) { ?>
					<td id="message-cell" class="message-cell" colspan="2">
						<div>PIN change successful.</div>
					</td>
				<?php } else { ?>
					<td id="error-cell" class="message-cell" colspan="2">
						<div>An error occured, please check your credentials. If the error persists contact your PINsafe Administrator.</div>
					</td>
				<?php } ?>
				</tr>
				<?php } ?>
			</table>
		</form>
	</body>
</html>