<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
	<head>
		<title>PINsafe Authentication</title>
		<link type="text/css" rel="stylesheet" href="login.css" />
		<?php

		require('pinsafe.php');

		$username = $_REQUEST['username'];
		$coderequested = false;
		$error = false;
		$accountreset = false;
		if ($username) {
			$tryCodeRequested = $_REQUEST['requestcode'];
			$tryAccountReset = $_REQUEST['reset'];
			if ($tryCodeRequested) {
				$pinsafe = getPINsafeAgent();
				$coderequested = $pinsafe->requestResetCode($username);
				if (!$coderequested) {
					$error = true;
				}
			} else if ($tryAccountReset) {
				$resetCode = $_REQUEST['resetcode'];
				$pinsafe = getPINsafeAgent();
				$accountreset = $pinsafe->reset($username, $resetCode);
				if (!$accountreset) {
					$error = true;
				}
			}
		}
		?>
	</head>
	<body>
	<?php echo "Username: $username<br/>";
	echo "Code Requested: $tryCodeRequested, $coderequested<br/>";
	echo "Account Reset: $tryAccountReset, $accountreset<br/>";
	echo "Error: $error<br/>";
	?>
		<form method="POST">
			<table id="reset">
				<tr class="top-row">
<?php if ($coderequested && !$error) { ?>
					<td class="label">Reset code:</td>
					<td class="text">
						<input type="hidden" name="username" value="<?php echo $username; ?>" />
						<input type="text" name="resetcode" id="resetcode" />
					</td>
<?php } else { ?>
					<td class="label">Username:</td>
					<td class="text">
						<input type="text" name="username" id="username" />
					</td>
<?php } ?>
				</tr>
				<tr id="buttons-row">
					<td colspan="2">
<?php if ($coderequested && !$error) { ?>
						<input type="submit" name="reset" value="Reset" />
<?php } else { ?>
						<input type="submit" name="requestcode" value="Request Code" />
<?php } ?>
					</td>
				</tr>
<?php if ($error || $coderequested || $accountreset) { ?>
				<tr>
					<td class="message-cell" colspan="2">
<?php if ($error) { ?>
						<div>An error occured, please try again. If the error persists contact your PINsafe Administrator.</div>
<?php } else if ($coderequested) { ?>
						<div>Self-reset code has been requested. Please wait for the self-reset message and enter the code above.</div>
<?php } else if ($accountreset) { ?>
						<div>Account reset successful.</div>
<? } ?>
					</td>
				</tr>
<? } ?>
			</table>
		</form>
	</body>
</html>